package org.jeecg.modules.pay.request.v3.labs.accbusifields;

/**
 * 业务扩展参数
 * 支付宝支付
 * 账户端业务信息域
 * 交易接口请求
 * 交易接口V3.0下支付类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class AliPayExtendParamsRequest {

    private AliPayExtendParamsRequest() {
    }

    /**
     * 初始化业务扩展参数
     *
     * @param hb_fq_num            花呗分期期数
     * @param hb_fq_seller_percent 卖家承担手续费比例
     */
    public AliPayExtendParamsRequest(String hb_fq_num, String hb_fq_seller_percent) {
        this.hb_fq_num = hb_fq_num;
        this.hb_fq_seller_percent = hb_fq_seller_percent;
    }

    /**
     * 服务商的PID
     * 系统商编号，该参数作为系统商返佣数据提取的依据，请填写系统商签约协议的 PID
     */
    private String sys_service_provider_id;

    /**
     * 花呗分期期数
     * 支付宝花呗分期必送字段: 花呗分期数 3：3期 6：6期 12：12期
     */
    private String hb_fq_num;

    /**
     * 卖家承担手续费比例
     * 支付宝花呗分期必送字段: 卖家承担收费比例，
     * 商家承担手续费传入100，用户承担手续费传入0，
     * 仅支持传入100、0两种，其他比例暂不支持
     * 100：代表商家贴息 0：代表用户承担手续费
     */
    private String hb_fq_seller_percent;

    /**
     * 点餐场景类型
     * 点餐场景类型：qr_order（店内扫码点餐），pre_order（预点到店自提），
     * home_delivery （外送到家），direct_payment（直接付款），other（其它）
     */
    private String food_order_type;

    public String getSys_service_provider_id() {
        return sys_service_provider_id;
    }

    public void setSys_service_provider_id(String sys_service_provider_id) {
        this.sys_service_provider_id = sys_service_provider_id;
    }

    public String getHb_fq_num() {
        return hb_fq_num;
    }

    public void setHb_fq_num(String hb_fq_num) {
        this.hb_fq_num = hb_fq_num;
    }

    public String getHb_fq_seller_percent() {
        return hb_fq_seller_percent;
    }

    public void setHb_fq_seller_percent(String hb_fq_seller_percent) {
        this.hb_fq_seller_percent = hb_fq_seller_percent;
    }

    public String getFood_order_type() {
        return food_order_type;
    }

    public void setFood_order_type(String food_order_type) {
        this.food_order_type = food_order_type;
    }
}
